Summary:       User configurable relay-only Mail Transfer Agent (MTA)
Summary(de):   Benutzerkonfigurierbarer nur versendender Mail Transfer Agent (MTA)
Name:		esmtp
Version:	0.5.1
Release:	7%{?dist}
Source: 	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:	esmtp-0.4.1-mutt
Url:		http://esmtp.sourceforge.net/
License:	GPL
Group:		Applications/Internet
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):	%{_sbindir}/alternatives
# workaround a missing libesmtp-devel Requires:
BuildRequires:	openssl-devel
BuildRequires:	libesmtp-devel
Provides:       %{_sbindir}/sendmail
# esmtp doesn't listen on port 25, so it cannot provide smtpdaemon. 
# This implies that any program requiring a program that sends mail
# should rely on another package that esmtp to fulfill the dependencies.
#Provides:       smtpdaemon

%description
ESMTP is a user configurable relay-only Mail Transfer Agent (MTA) with a
sendmail-compatible syntax. It's based on libESMTP supporting the AUTH
(including the CRAM-MD5 and NTLM SASL mechanisms) and the StartTLS SMTP
extensions.

So these are ESMTP features:
 * requires no administration privileges
 * individual user configuration
 * sendmail command line compatible
 * supports the AUTH SMTP extension, with the CRAM-MD5 and NTLM SASL
   mechanisms
 * support the StartTLS SMTP extension
 * does not receive mail, expand aliases or manage a queue

%description -l de
ESMTP ist ein benutzerkonfigurierbarer nur versendender Mail Transfer
Agent (MTA) mit einem Sendmail-kompatiblen Syntax. Es basiert auf 
libESMTP und unterstützt AUTH (mit CRAM-MD5 und NTLM SASL) und StartTLS
SMTP.

Dies sind die ESMTP-Eigenschaften:
 * benötigt keine Administrator-Rechte
 * individuelle Benutzerkonfiguration
 * Sendmail-kompatibler Syntax
 * unterstützt AUTH, mit CRAM-MD5 und NTLM SASL
 * unterstützt StartTLS SMTP
 * empfängt keine E-Mails, erweiterte Aliases oder Verwaltung einer
   Warteschlange

%prep
%setup -q
cp %{SOURCE1} mutt-esmtp

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove all the sendmail alternative installed, it is done in %post
rm $RPM_BUILD_ROOT/%{_bindir}/mailq \
   $RPM_BUILD_ROOT/%{_bindir}/newaliases \
   $RPM_BUILD_ROOT/%{_libdir}/sendmail \
   $RPM_BUILD_ROOT/%{_sbindir}/sendmail \
   $RPM_BUILD_ROOT/%{_mandir}/man1/mailq.1 \
   $RPM_BUILD_ROOT/%{_mandir}/man1/newaliases.1 \
   $RPM_BUILD_ROOT/%{_mandir}/man1/sendmail.1


%post
%{_sbindir}/alternatives --install %{_sbindir}/sendmail mta %{_bindir}/esmtp 30 \
        --slave %{_bindir}/mailq mta-mailq %{_bindir}/esmtp \
        --slave %{_bindir}/newaliases mta-newaliases %{_bindir}/esmtp \
        --slave %{_libdir}/sendmail mta-sendmail %{_bindir}/esmtp \
        --slave %{_mandir}/man1/mailq.1.gz mta-mailqman %{_mandir}/man1/esmtp.1.gz \
        --slave %{_mandir}/man1/newaliases.1.gz mta-newaliasesman %{_mandir}/man1/esmtp.1.gz \
        --slave %{_mandir}/man8/sendmail.8.gz mta-sendmailman %{_mandir}/man1/esmtp.1.gz \

%preun
if [ "$1" = 0 ]; then
    %{_sbindir}/alternatives --remove mta %{_bindir}/esmtp
fi

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(-,root,root,-)
%doc AUTHORS README TODO ChangeLog sample.esmtprc mutt-esmtp
%{_bindir}/esmtp
%{_mandir}/man[^3]/esmtp*

%changelog
* Mon Aug 29 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-7
- uncomment german translation

* Fri Aug 26 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-6
- add temporarily a BuildRequires: openssl-devel to workaround missing 
  Requires: of libesmtp-devel (#166844)

* Fri Aug 26 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-5
- comment out german translation
- cleanups (thanks Aurelien Bompard)

* Sat Mar 12 2004 Patrice Dumas <pertusus@free.fr> 0:0.5.1-2
- Use alternatives

* Sat Mar 12 2004 Patrice Dumas <pertusus@free.fr> 0:0.5.1-1
- Use fedora-newrpmspec to update the spec file
- Package sendmail replacements

* Sat Nov 15 2003 Robert Scheck <esmtp@robert-scheck.de> 0.5.0-1
- Update to 0.5.0
- Added german description and summary

* Mon Oct 27 2003 Robert Scheck <esmtp@robert-scheck.de> 0.4.1-1
- Update to 0.4.1
- Initial Release for Red Hat Linux
